For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/inbox/threads/patch-api-inbox-v1threads-by-id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
Update Thread
PATCH
/api/inbox/v1/threads/:id
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { thread, threadError } = await reloop.inbox.threads.update("thr_123456789", {6 isRead: true,7});8if (threadError) throw threadError;1{2 "success": true,3 "id": "con_123456789",4 "message": "Contact already exists",5 "isRead": true,6 "isStarred": true,7 "status": "example_status"8}Path Parameters
idstringRequired
Thread ID
Body Parameters
isReadboolean
Read/unread status of the thread
isStarredboolean
Starred/unstarred status of the thread
status"active" | "archived" | "closed"
Possible values: active | archived | closed
Was this page helpful?